Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I've read the manual on snort.org for installing snort on Debian but am still having an issue. Does anyone know how to resolve this? I've tried installing the libpcre3 amd libpcre3-dev packages by using apt-get and also manually installing by downloading the latest version off the tcpdump website. Any ideas?

Checking for pcre-compile in -l pcre...no Error! Libpcre library not found. Get it from http://www.pcre.org

share|improve this question
    
Can you compile a simple executable against pcre like this? int main(int argc, char* argv) { return 0; } -- gcc -o hello hello.c -lpcre –  sarnold Jun 2 '12 at 2:30
    
It compiled fine. –  Chuck Jun 2 '12 at 11:42
    
Off-topic for SO; belongs on Server Fault –  Ex Umbris Jun 3 '12 at 3:41
    
not sure which you may need but try installing some of these others: –  Mark S. Jul 2 '12 at 5:08
add comment

migrated from stackoverflow.com Jul 2 '12 at 2:26

This question came from our site for professional and enthusiast programmers.

1 Answer

not sure which you may need but try installing some of these others:

aptitude search libpcre

p libpcre++-dev - C++ wrapper class for pcre (development)

p libpcre++0 - C++ wrapper class for pcre (runtime)

p libpcre-ocaml - OCaml bindings for PCRE (runtime)

p libpcre-ocaml-dev - OCaml bindings for PCRE (Perl Compatible R

v libpcre-ocaml-dev-g7y84 -

v libpcre-ocaml-g7y84 -

i libpcre3 - Perl 5 Compatible Regular Expression Libra

p libpcre3-dbg - Perl 5 Compatible Regular Expression Libra

p libpcre3-dev - Perl 5 Compatible Regular Expression Libra

p libpcrecpp0 - Perl 5 Compatible Regular Expression Libra

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.